<!-- README.md is generated from README.Rmd. Please edit that file -->

# drwateR

<!-- badges: start -->

[![Lifecycle:
experimental](https://img.shields.io/badge/lifecycle-experimental-orange.svg)](https://lifecycle.r-lib.org/articles/stages.html#experimental)
[![CRAN
status](https://www.r-pkg.org/badges/version/drwateR)](https://CRAN.R-project.org/package=drwateR)

<!-- badges: end -->

The goal of drwateR is to …

## 安装前

请参考[https://drwater.rcees.ac.cn/git/drwateR/drwateR/wiki/配置drwateR环境](https://drwater.rcees.ac.cn/git/drwateR/drwateR/wiki/配置drwateR环境).

## Installation

### Method 1: from url (recommend)

```r
source("https://drwater.rcees.ac.cn/ftp/drwateR/install_drwateR.R")
install_drwateR("drwateR")
```

### Method 2: from github

You can install the development version of drwateR like so:

```r
devtools::install_github("mingsu/drwateR")
```

````
## Example

This is a basic example which shows you how to solve a common problem:

```r
require(drwateR)
#> ── Attaching core drwateR packages ────────────────────────────────────────────────────────────────────── drwateR 0.0.0.9000 ──
#> ✔ dateR  0.0.0.9000     ✔ limvis 0.1.0
#> ✔ dfeR   0.0.0.9000     ✔ rmdify 0.0.0.9000
#> ✔ dwfun  0.0.0.9000     ✔ uniteR 0.0.0.9000
#> ✔ langeR 0.0.0.9000
#> ── Conflicts ─────────────────────────────────────────────────────────────────────────────────────────── drwateR_conflicts() ──
#> ✖ ::() masks
#> ℹ Use the conflicted package (<http://conflicted.r-lib.org/>) to force all conflicts to become errors
## basic example code
```

What is special about using `README.Rmd` instead of just `README.md`?
You can include R chunks like so:

```r
install_drwateR("cctdb")
#> cloning into '/var/folders/j3/1grv4xtd47v8w2jwfr8p0k_w0000gn/T//RtmpzUg0Uo/cctdb.git'...
#> Receiving objects:   1% (4/372),   31 kb
#> Receiving objects:  11% (41/372),   31 kb
#> Receiving objects:  21% (79/372),   31 kb
#> Receiving objects:  31% (116/372),   63 kb
#> Receiving objects:  41% (153/372),   63 kb
#> Receiving objects:  51% (190/372),   63 kb
#> Receiving objects:  61% (227/372),   63 kb
#> Receiving objects:  71% (265/372),  106 kb
#> Receiving objects:  81% (302/372),  106 kb
#> Receiving objects:  91% (339/372),  106 kb
#> Receiving objects: 100% (372/372),  106 kb, done.
```

You’ll still need to render `README.Rmd` regularly, to keep `README.md`
up-to-date. `devtools::build_readme()` is handy for this.
````
